Page MenuHomePhabricator

Unable to run selenium tests
Closed, ResolvedPublic

Description

I have set up the project using Xampp and it works fine
For environment variables
OS Windows
MW_SCRIPT_PATH = C:\xampp\htdocs\mediawiki
MEDIAWIKI_USER = Ashuro07
MW SERVER = http://localhost/

Chrome is installed at its default location

C:\xampp\htdocs\mediawiki>npm run selenium

> @ selenium C:\xampp\htdocs\mediawiki
> bash ./tests/selenium/selenium.sh   


> @ selenium-test C:\xampp\htdocs\mediawiki
> wdio ./tests/selenium/wdio.conf.js       

Starting ChromeDriver 80.0.3987.16 (320f6526c1632ad4f205ebce69b99a062ed78647-refs/branch-heads/3987@{#185}) on port 4444
Only local connections are allowed.
Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.

Execution of 6 spec files started at 2020-04-04T15:18:06.657Z

[0-0] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js

DevTools listening on ws://127.0.0.1:54864/devtools/browser/b16e306c-7919-45d8-a512-19db78eb1e51
[1586013526.769][WARNING]: Timed out connecting to Chrome, retrying...
[0-0] 
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\BlankPage-should-have-its-title-%40daily.png

[0-0] Error in "BlankPage should have its title @daily"
Can't call getText on element with selector ".firstHeading" because element wasn't found
[0-0] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js
[0-1] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js

DevTools listening on ws://127.0.0.1:54883/devtools/browser/38cd0a32-0c33-45fd-b937-032480a0f073
[1586013565.324][WARNING]: Timed out connecting to Chrome, retrying...
[0-1] Error in "Page "before all" hook for "should be previewable""
connect ECONNREFUSED 127.0.0.1:80
[0-1] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js
[0-2] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js

DevTools listening on ws://127.0.0.1:54893/devtools/browser/19bd7b1c-83cc-4ab3-87b8-435b5cc4c40b
[1586013577.041][WARNING]: Timed out connecting to Chrome, retrying...
[0-2] Error in "Rollback with confirmation "before all" hook for "should offer rollback options for admin users""
Can't call setValue on element with selector "#wpName1" because element wasn't found
[0-2] Error in "Rollback without confirmation "before all" hook for "should perform rollback via POST request without asking the user to confirm""
Can't call setValue on element with selector "#wpName1" because element wasn't found
[0-2] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js
[0-3] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js

DevTools listening on ws://127.0.0.1:54922/devtools/browser/e1579ddf-cbaa-4b24-9b76-eb247db4f85d
[1586013609.036][WARNING]: Timed out connecting to Chrome, retrying...
[0-3] Error in "Special:RecentChanges "before all" hook for "shows page creation""
connect ECONNREFUSED 127.0.0.1:80
[0-3] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js
[0-4] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js

DevTools listening on ws://127.0.0.1:54934/devtools/browser/d19c3613-bcad-4cc2-b50b-40ef894c5ee3
[1586013618.734][WARNING]: Timed out connecting to Chrome, retrying...
[0-4] Error in "Special:Watchlist "before all" hook for "should show page with new edit""
connect ECONNREFUSED 127.0.0.1:80
[0-4] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js
[0-5] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

DevTools listening on ws://127.0.0.1:54945/devtools/browser/735069f7-e6f3-466f-a5ec-f5c633112986
[1586013628.318][WARNING]: Timed out connecting to Chrome, retrying...
[0-5] Error in "User "before all" hook for "should be able to create account""
connect ECONNREFUSED 127.0.0.1:80
[0-5] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

 "dot" Reporter:
F

Spec Files:      0 passed, 6 failed, 6 total (100% completed) in 00:02:26

Event Timeline

Ashuro07 created this task.Apr 4 2020, 3:34 PM
zeljkofilipin triaged this task as Medium priority.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
Soham added a comment.EditedApr 7 2020, 7:09 PM

Hey @Ashuro07 can you explain the steps you followed with terminal outputs? From your path I assume you are on a windows machine. However when creating a task, please mention the OS and Docker version you are running for more relevance.

Which version of chrome and chrome driver is installed? @Ashuro07

I have previously worked with xampp so I didn't try any other methods.
I'll try to install via docker
I'll post logs in a bit
Thanks

Which version of chrome and chrome driver is installed? @Ashuro07

Chrome
Version 80.0.3987.163 (Official Build) (64-bit)
Chromedriver
ChromeDriver 80.0.3987.106 (f68069574609230cf9b635cd784cfb1bf81bb53a-refs/branch-heads/3987@{#882})

In T249422#6037569, @AlQaholic007 wrote:

Hey @Ashuro07 can you explain the steps you followed with terminal outputs? From your path I assume you are on a windows machine. However when creating a task, please mention the OS and Docker version you are running for more relevance.

Thanks I will update the task to include OS
I installed MediaWiki using xampp and installed chromedriver, included it in the path then I ran

npm ci

Then manually set the environment variables
then ran

npm run selenium
Ashuro07 updated the task description. (Show Details)Apr 8 2020, 4:40 AM
Soham added a comment.Apr 8 2020, 5:54 AM

Please let me know if you need any help with setting up docker @Ashuro07. Can you let me know the Windows version along with whether its the Home or the Pro edition?

In T249422#6038714, @AlQaholic007 wrote:

Please let me know if you need any help with setting up docker @Ashuro07. Can you let me know the Windows version along with whether its the Home or the Pro edition?

Thanks, its Windows 10 Home Single Language Version 2004

@AlQaholic007
I am getting this error

WARNING: The XDEBUG_CONFIG variable is not set. Defaulting to a blank string. Do not run Composer as root/super user! See https://getcomposer.org/root for details Composer could not find a composer.json file in /var/www/html To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section
Soham added a comment.EditedApr 8 2020, 7:04 AM

@AlQaholic007
I am getting this error

WARNING: The XDEBUG_CONFIG variable is not set. Defaulting to a blank string. Do not run Composer as root/super user! See https://getcomposer.org/root for details Composer could not find a composer.json file in /var/www/html To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section

I assume you are running Docker Toolbox. Is this run with Docker? If so please make sure you correctly ran the commands in Developers.md file. Also are you cloning from the right branch?

Yeah, I am using toolbox
I am cloning with right branch
What do you mean by run with docker?

Soham added a comment.Apr 8 2020, 7:09 AM

Yeah, I am using toolbox
I am cloning with right branch
What do you mean by run with docker?

You earlier mentioned you were running with Xampp, so I was asking if you have run these commands with Docker

I just installed docker and tried to install mediawiki with it
Then I encountered these errors

Soham added a comment.Apr 8 2020, 7:11 AM

Also have you installed a Vector Skin😊?

yes, I have

Soham added a comment.Apr 8 2020, 7:24 AM

okay so do you see a composer.json in your project root? Can you link the guide you followed to set up mediawiki on xampp.

yes, I have composer.json and composer.lock both
I followed this https://www.mediawiki.org/wiki/Manual:Installing_MediaWiki_on_XAMPP

Soham added a comment.EditedApr 8 2020, 7:33 AM

I know probably not a good idea but can you follow https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/%2B/master/DEVELOPERS.md.
from scratch

Also make sure you dont have any port conflicts with 8080 using docker container ps to check if any existing containers are running and published to expose port 8080 of your host

Please make a fresh clone from gerrit using:
git clone ssh://<gerrit_username>@gerrit.wikimedia.org:29418/mediawiki/core.git mediawiki

Let me know if you need any help...

Cool, I'll try that

Ashuro07 added a comment.EditedApr 8 2020, 10:19 AM

I am getting the same error
Composer.json not found
I reinstalled everything three times

Using docker toolbox

@zeljkofilipin I am able to run 2 of 6 tests successfully with
Beta Clusters

npm run selenium

> @ selenium C:\xampp\htdocs\mediawiki
> bash ./tests/selenium/selenium.sh

Starting ChromeDriver 80.0.3987.16 (320f6526c1632ad4f205ebce69b99a062ed78647-refs/branch-heads/3987@{#185}) on port 4444
Only local connections are allowed.
Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.

> @ selenium-test C:\xampp\htdocs\mediawiki
> wdio ./tests/selenium/wdio.conf.js


Execution of 6 spec files started at 2020-04-08T12:30:22.960Z

[0-0] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js

DevTools listening on ws://127.0.0.1:55611/devtools/browser/7fb8b617-22d4-4326-9223-1aacdd93a957
[1586349037.791][WARNING]: Timed out connecting to Chrome, retrying...
[1586349049.945][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.052][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.193][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.304][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.472][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349053.902][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.336][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.537][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.647][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.755][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.864][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.972][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.082][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.192][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.301][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.411][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180056.353:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=jjztq (223)
[0408/180056.508:INFO:CONSOLE(611)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=jjztq (611)
[0-0]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\BlankPage-should-have-its-title-%40daily.png

[0-0] PASSED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js
[0-1] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js

DevTools listening on ws://127.0.0.1:55629/devtools/browser/ffd63af0-c00c-4628-b653-c1a71fb5328d
[1586349067.363][WARNING]: Timed out connecting to Chrome, retrying...
[0-1] [18:01:15] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349078.147][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.256][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.367][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.477][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.586][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.696][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.874][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.586][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.692][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.798][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.916][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180120.041:INFO:CONSOLE(234)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (234)
[0408/180120.049:INFO:CONSOLE(910)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (910)
[0408/180120.133:INFO:CONSOLE(489)] "This page is using the deprecated ResourceLoader module "jquery.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (489)
[0408/180120.161:INFO:CONSOLE(234)] "JQMIGRATE: jQuery.fn.delegate() is deprecated", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (234)
[0408/180120.446:INFO:CONSOLE(28)] "The entry type 'layoutShift' does not exist or isn't supported.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (28)
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-previewable.png

[0-1] Error in "Page should be previewable"
Can't call setValue on element with selector "#wpTextbox1" because element wasn't found
[1586349086.619][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.730][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.845][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.957][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.060][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.170][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.273][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.500][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.614][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180127.672:INFO:CONSOLE(169)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (169)
[0408/180127.680:INFO:CONSOLE(151)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (151)
[0408/180127.796:INFO:CONSOLE(354)] "This page is using the deprecated ResourceLoader module "jquery.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (354)
[0408/180127.828:INFO:CONSOLE(169)] "JQMIGRATE: jQuery.fn.delegate() is deprecated", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (169)
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-creatable.png

[0-1] Error in "Page should be creatable"
Can't call setValue on element with selector "#wpTextbox1" because element wasn't found
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-re-creatable.png

[0-1] Error in "Page should be re-creatable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-editable-%40daily.png

[0-1] Error in "Page should be editable @daily"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-have-history-%40daily.png

[0-1] Error in "Page should have history @daily"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-deletable.png

[0-1] Error in "Page should be deletable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-restorable.png

[0-1] Error in "Page should be restorable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-undoable.png

[0-1] Error in "Page should be undoable"
cantcreate: You do not have permission to create new pages.
[0-1] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js
[0-2] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js

DevTools listening on ws://127.0.0.1:55753/devtools/browser/657e5678-e5fe-41cb-aa36-fe3539153aa5
[1586349106.611][WARNING]: Timed out connecting to Chrome, retrying...
[1586349110.442][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.551][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.658][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.974][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180151.056:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349111.155][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.263][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.386][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.504][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.607][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.712][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.822][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.982][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.097][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.204][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.315][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.417][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180152.532:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180152.544:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[1586349116.407][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.518][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.731][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.845][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.955][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349117.075][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349117.186][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349119.997][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.110][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.220][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.326][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.443][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.552][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.662][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.769][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.877][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.987][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.089][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.205][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.311][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.413][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.522][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.631][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.741][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.850][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.957][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.061][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.168][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.282][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.501][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.627][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.732][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.848][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.975][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180203.043:INFO:CONSOLE(203)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.choiceData%2Cdisplay%2CimpressionEventsSampleRate%2CkvStore%2CstartUp%7Cext.centralauth.ForeignApi%7Cext.centralauth.centralautologin.clearcookie%7Cext.echo.api%2Cinit%7Cext.growthExperiments.HelpPanel.init%7Cext.popups%7Cext.wikimediaEvents.loggedin%7Cjquery%2Coojs-router%2Coojs-ui-core%2Csite%7Cmediawiki.ForeignApi%7Cmediawiki.ForeignApi.core%7Cmediawiki.page.watch.ajax%7Cmediawiki.ui.button%2Cicon%7Cmmv.bootstrap%2Chead%7Cmmv.bootstrap.autostart&skin=vector&version=kjswc (203)
[0408/180203.047:INFO:CONSOLE(151)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (151)
[1586349123.325][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.434][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.743][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.846][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349125.961][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.066][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.228][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.343][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.452][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180206.588:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349126.786][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.894][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.003][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.116][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.229][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.332][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.441][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.548][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.655][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.761][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180207.815:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180207.823:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[1586349129.421][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.044][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.153][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.350][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.618][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.728][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.841][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.950][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.053][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.173][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.282][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.501][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.610][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.720][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.829][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.938][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.046][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.159][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.310][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.419][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.528][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.638][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.747][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.857][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.965][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180214.049:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core%2Csite&skin=vector&version=1x78d (144)
[0408/180214.057:INFO:CONSOLE(233)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (233)
[1586349134.474][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.609][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.718][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.827][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.937][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349135.044][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349135.152][SEVERE]: Timed out receiving message from renderer: 0.100
[0-2] PASSED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js
[0-3] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js

DevTools listening on ws://127.0.0.1:55804/devtools/browser/269c2087-e4a4-4374-8d4b-15e7207316e3
[1586349141.246][WARNING]: Timed out connecting to Chrome, retrying...
[0-3] [18:02:27] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[0-3]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Special%3ARecentChanges-shows-page-creation.png

[0-3] Error in "Special:RecentChanges shows page creation"
cantcreate: You do not have permission to create new pages.
[0-3] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js
[0-4] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js

DevTools listening on ws://127.0.0.1:55820/devtools/browser/a06dca7c-4163-4d05-a815-d9419391a860
[1586349155.564][WARNING]: Timed out connecting to Chrome, retrying...
[0-4] [18:02:43] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349168.592][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349168.708][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349168.811][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.112][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180249.216:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349169.323][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.442][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.546][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.656][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.792][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.901][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.011][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.120][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.231][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180250.389:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180250.401:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[0408/180252.189:INFO:CONSOLE(201)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/wiki/Special:UserLogin (201)
[0408/180252.241:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180252.245:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[1586349172.433][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349172.542][SEVERE]: Timed out receiving message from renderer: 0.100
[0-4]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Special%3AWatchlist-should-show-page-with-new-edit.png

[0-4] Error in "Special:Watchlist should show page with new edit"
cantcreate: You do not have permission to create new pages.
[0-4] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js
[0-5] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

DevTools listening on ws://127.0.0.1:55843/devtools/browser/2dd556c9-8db7-4b36-a1ba-a5c4585a70e6
[1586349180.761][WARNING]: Timed out connecting to Chrome, retrying...
[0-5] [18:03:05] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349189.380][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.497][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.611][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.727][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.040][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.145][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180310.371:INFO:CONSOLE(202)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3ACreateAccount (202)
[1586349190.477][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.584][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.694][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.811][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.003][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.109][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.226][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180311.386:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.confirmEdit.fancyCaptcha%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.growthExperiments.confirmEmail.createAccount%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.htmlform.checker%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.special.userlogin.signup.js%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=m6qm1 (223)
[0408/180311.402:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.confirmEdit.fancyCaptcha%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.growthExperiments.confirmEmail.createAccount%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.htmlform.checker%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.special.userlogin.signup.js%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=m6qm1 (621)
[0-5]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\User-should-be-able-to-create-account.png

[0-5] AssertionError in "User should be able to create account"
Expected values to be strictly equal:
+ actual - expected

+ 'Create account'
- 'Welcome, User-0.32399320050276614-Iñtërnâtiônàlizætiøn!'
[1586349197.320][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.422][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180317.515:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349197.685][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.826][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.935][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.053][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.164][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180318.278:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180318.286:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[1586349198.540][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.644][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180320.644:INFO:CONSOLE(201)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/wiki/Special:UserLogin (201)
[0408/180320.720:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180320.728:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[0-5]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\User-should-be-able-to-log-in-%40daily.png

[0-5] AssertionError in "User should be able to log in @daily"
Expected values to be strictly equal:
+ actual - expected

+ null
- 'User-0.7194443792328442-Iñtërnâtiônàlizætiøn'
[0-5] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

 "dot" Reporter:
.FFFFFFFF......FFFF.

Spec Files:      2 passed, 4 failed, 6 total (100% completed) in 00:02:58
Soham added a comment.Apr 8 2020, 1:00 PM

@zeljkofilipin I am able to run 2 of 6 tests successfully with
Beta Clusters

npm run selenium

> @ selenium C:\xampp\htdocs\mediawiki
> bash ./tests/selenium/selenium.sh

Starting ChromeDriver 80.0.3987.16 (320f6526c1632ad4f205ebce69b99a062ed78647-refs/branch-heads/3987@{#185}) on port 4444
Only local connections are allowed.
Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.

> @ selenium-test C:\xampp\htdocs\mediawiki
> wdio ./tests/selenium/wdio.conf.js


Execution of 6 spec files started at 2020-04-08T12:30:22.960Z

[0-0] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js

DevTools listening on ws://127.0.0.1:55611/devtools/browser/7fb8b617-22d4-4326-9223-1aacdd93a957
[1586349037.791][WARNING]: Timed out connecting to Chrome, retrying...
[1586349049.945][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.052][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.193][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.304][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349050.472][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349053.902][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.336][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.537][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.647][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.755][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.864][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349054.972][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.082][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.192][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.301][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349055.411][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180056.353:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=jjztq (223)
[0408/180056.508:INFO:CONSOLE(611)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=jjztq (611)
[0-0]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\BlankPage-should-have-its-title-%40daily.png

[0-0] PASSED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\wdio-mediawiki\specs\BlankPage.js
[0-1] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js

DevTools listening on ws://127.0.0.1:55629/devtools/browser/ffd63af0-c00c-4628-b653-c1a71fb5328d
[1586349067.363][WARNING]: Timed out connecting to Chrome, retrying...
[0-1] [18:01:15] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349078.147][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.256][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.367][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.477][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.586][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.696][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349078.874][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.586][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.692][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.798][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349079.916][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180120.041:INFO:CONSOLE(234)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (234)
[0408/180120.049:INFO:CONSOLE(910)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (910)
[0408/180120.133:INFO:CONSOLE(489)] "This page is using the deprecated ResourceLoader module "jquery.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (489)
[0408/180120.161:INFO:CONSOLE(234)] "JQMIGRATE: jQuery.fn.delegate() is deprecated", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (234)
[0408/180120.446:INFO:CONSOLE(28)] "The entry type 'layoutShift' does not exist or isn't supported.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.CodeMirror%2Ccharinsert%2CeventLogging%2CnavigationTiming%2Cpopups%2CwikimediaEvents%7Cext.CodeMirror.data%7Cext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2CtextSelection%2Cui%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-editing-styling%2Cindicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=18qqd (28)
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-previewable.png

[0-1] Error in "Page should be previewable"
Can't call setValue on element with selector "#wpTextbox1" because element wasn't found
[1586349086.619][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.730][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.845][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349086.957][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.060][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.170][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.273][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.500][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349087.614][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180127.672:INFO:CONSOLE(169)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (169)
[0408/180127.680:INFO:CONSOLE(151)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (151)
[0408/180127.796:INFO:CONSOLE(354)] "This page is using the deprecated ResourceLoader module "jquery.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (354)
[0408/180127.828:INFO:CONSOLE(169)] "JQMIGRATE: jQuery.fn.delegate() is deprecated", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=42gr0 (169)
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-creatable.png

[0-1] Error in "Page should be creatable"
Can't call setValue on element with selector "#wpTextbox1" because element wasn't found
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-re-creatable.png

[0-1] Error in "Page should be re-creatable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-editable-%40daily.png

[0-1] Error in "Page should be editable @daily"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-have-history-%40daily.png

[0-1] Error in "Page should have history @daily"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-deletable.png

[0-1] Error in "Page should be deletable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-restorable.png

[0-1] Error in "Page should be restorable"
cantcreate: You do not have permission to create new pages.
[0-1]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Page-should-be-undoable.png

[0-1] Error in "Page should be undoable"
cantcreate: You do not have permission to create new pages.
[0-1] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\page.js
[0-2] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js

DevTools listening on ws://127.0.0.1:55753/devtools/browser/657e5678-e5fe-41cb-aa36-fe3539153aa5
[1586349106.611][WARNING]: Timed out connecting to Chrome, retrying...
[1586349110.442][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.551][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.658][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349110.974][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180151.056:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349111.155][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.263][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.386][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.504][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.607][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.712][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.822][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349111.982][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.097][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.204][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.315][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349112.417][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180152.532:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180152.544:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[1586349116.407][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.518][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.731][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.845][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349116.955][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349117.075][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349117.186][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349119.997][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.110][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.220][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.326][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.443][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.552][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.662][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.769][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.877][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349120.987][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.089][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.205][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.311][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.413][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.522][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.631][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.741][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.850][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349121.957][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.061][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.168][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.282][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.501][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.627][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.732][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.848][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349122.975][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180203.043:INFO:CONSOLE(203)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.choiceData%2Cdisplay%2CimpressionEventsSampleRate%2CkvStore%2CstartUp%7Cext.centralauth.ForeignApi%7Cext.centralauth.centralautologin.clearcookie%7Cext.echo.api%2Cinit%7Cext.growthExperiments.HelpPanel.init%7Cext.popups%7Cext.wikimediaEvents.loggedin%7Cjquery%2Coojs-router%2Coojs-ui-core%2Csite%7Cmediawiki.ForeignApi%7Cmediawiki.ForeignApi.core%7Cmediawiki.page.watch.ajax%7Cmediawiki.ui.button%2Cicon%7Cmmv.bootstrap%2Chead%7Cmmv.bootstrap.autostart&skin=vector&version=kjswc (203)
[0408/180203.047:INFO:CONSOLE(151)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (151)
[1586349123.325][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.434][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.743][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349123.846][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349125.961][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.066][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.228][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.343][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.452][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180206.588:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349126.786][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349126.894][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.003][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.116][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.229][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.332][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.441][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.548][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.655][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349127.761][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180207.815:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180207.823:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[1586349129.421][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.044][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.153][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.350][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.618][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.728][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.841][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349131.950][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.053][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.173][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.282][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.391][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.501][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.610][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.720][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.829][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349132.938][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.046][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.159][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.310][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.419][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.528][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.638][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.747][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.857][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349133.965][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180214.049:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core%2Csite&skin=vector&version=1x78d (144)
[0408/180214.057:INFO:CONSOLE(233)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (233)
[1586349134.474][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.609][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.718][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.827][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349134.937][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349135.044][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349135.152][SEVERE]: Timed out receiving message from renderer: 0.100
[0-2] PASSED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\rollback.js
[0-3] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js

DevTools listening on ws://127.0.0.1:55804/devtools/browser/269c2087-e4a4-4374-8d4b-15e7207316e3
[1586349141.246][WARNING]: Timed out connecting to Chrome, retrying...
[0-3] [18:02:27] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[0-3]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Special%3ARecentChanges-shows-page-creation.png

[0-3] Error in "Special:RecentChanges shows page creation"
cantcreate: You do not have permission to create new pages.
[0-3] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialrecentchanges.js
[0-4] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js

DevTools listening on ws://127.0.0.1:55820/devtools/browser/a06dca7c-4163-4d05-a815-d9419391a860
[1586349155.564][WARNING]: Timed out connecting to Chrome, retrying...
[0-4] [18:02:43] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349168.592][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349168.708][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349168.811][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.112][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180249.216:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349169.323][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.442][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.546][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.656][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.792][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349169.901][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.011][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.120][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349170.231][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180250.389:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180250.401:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[0408/180252.189:INFO:CONSOLE(201)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/wiki/Special:UserLogin (201)
[0408/180252.241:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (223)
[0408/180252.245:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=l844j (621)
[1586349172.433][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349172.542][SEVERE]: Timed out receiving message from renderer: 0.100
[0-4]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\Special%3AWatchlist-should-show-page-with-new-edit.png

[0-4] Error in "Special:Watchlist should show page with new edit"
cantcreate: You do not have permission to create new pages.
[0-4] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\specialwatchlist.js
[0-5] RUNNING in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

DevTools listening on ws://127.0.0.1:55843/devtools/browser/2dd556c9-8db7-4b36-a1ba-a5c4585a70e6
[1586349180.761][WARNING]: Timed out connecting to Chrome, retrying...
[0-5] [18:03:05] [S] [MWBOT] Login successful: Lelouchb@https://en.wikipedia.beta.wmflabs.org//w
[1586349189.380][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.497][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.611][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349189.727][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.040][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.145][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180310.371:INFO:CONSOLE(202)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3ACreateAccount (202)
[1586349190.477][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.584][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.694][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349190.811][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.003][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.109][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349191.226][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180311.386:INFO:CONSOLE(223)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.confirmEdit.fancyCaptcha%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.growthExperiments.confirmEmail.createAccount%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.htmlform.checker%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.special.userlogin.signup.js%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=m6qm1 (223)
[0408/180311.402:INFO:CONSOLE(621)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=ext.centralNotice.geoIP%7Cext.centralauth.centralautologin%7Cext.confirmEdit.fancyCaptcha%7Cext.cx.eventlogging.campaigns%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.growthExperiments.confirmEmail.createAccount%7Cext.uls.common%2Ccompactlinks%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.urlShortener.toolbar%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2CtextSelection%7Cjquery.uls.data%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cnotify%2Cstorage%2Cuser%2Cutil%7Cmediawiki.editfont.styles%7Cmediawiki.htmlform.checker%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.special.userlogin.signup.js%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Csentry.init%7Cskins.vector.js%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=vector&version=m6qm1 (621)
[0-5]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\User-should-be-able-to-create-account.png

[0-5] AssertionError in "User should be able to create account"
Expected values to be strictly equal:
+ actual - expected

+ 'Create account'
- 'Welcome, User-0.32399320050276614-Iñtërnâtiônàlizætiøn!'
[1586349197.320][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.422][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180317.515:INFO:CONSOLE(200)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org//w/index.php?title=Special%3AUserLogin (200)
[1586349197.685][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.826][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349197.935][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.053][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.164][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180318.278:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180318.286:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[1586349198.540][SEVERE]: Timed out receiving message from renderer: 0.100
[1586349198.644][SEVERE]: Timed out receiving message from renderer: 0.100
[0408/180320.644:INFO:CONSOLE(201)] "This page is using the deprecated ResourceLoader module "mediawiki.ui".
Please use OOUI instead.", source: https://en.wikipedia.beta.wmflabs.org/wiki/Special:UserLogin (201)
[0408/180320.720:INFO:CONSOLE(144)] "JQMIGRATE: Migrate is installed with logging active, version 3.1.0", source: https://en.wikipedia.beta.wmflabs.org/w/load.php?lang=en&modules=jquery%2Coojs-ui-core&skin=vector&version=1luyo (144)
[0408/180320.728:INFO:CONSOLE(165)] "This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.", source:  (165)
[0-5]
        Screenshot location: C:\xampp\htdocs\mediawiki\tests\selenium\log\User-should-be-able-to-log-in-%40daily.png

[0-5] AssertionError in "User should be able to log in @daily"
Expected values to be strictly equal:
+ actual - expected

+ null
- 'User-0.7194443792328442-Iñtërnâtiônàlizætiøn'
[0-5] FAILED in chrome - C:\xampp\htdocs\mediawiki\tests\selenium\specs\user.js

 "dot" Reporter:
.FFFFFFFF......FFFF.

Spec Files:      2 passed, 4 failed, 6 total (100% completed) in 00:02:58

Can you create a paste for this to reduce cluttering. Also can you send me the output via paste for your terminal commands while trying to install using docker since I still see Xampp here

Soham added a comment.Apr 8 2020, 1:01 PM

Do you see Mediawiki when you open http://localhost:8080. Again this question pertains to the assumption that you've installed via Docker and not Xampp?

@Ashuro07 if you are getting an error saying compoeser.json not found in var/www/html, then I want to tell you that, when i try to install mediawiki using docker toolbox on Windows get same error, there is no solution for this yet, then I install ubuntu and then setup mediawiki docker, if you don't want ubuntu you can go with mediawiki-vagrant
https://m.mediawiki.org/wiki/MediaWiki-Vagrant

Soham added a comment.EditedApr 9 2020, 4:26 AM

This is strange. I think Docker toolbox behind the scenes runs a VM. @Ashuro07 why dont you try creating your own with VirtualBox and then install Mediawiki there? I think @Gaura87 solution also recommends that. However if youre planning to do this long time, I would suggest thinking about dual booting your system. I guess @Vidhi-Mody did the same so maybe ask her more about it.

@Ashuro07 if you are getting an error saying compoeser.json not found in var/www/html, then I want to tell you that, when i try to install mediawiki using docker toolbox on Windows get same error, there is no solution for this yet, then I install ubuntu and then setup mediawiki docker, if you don't want ubuntu you can go with mediawiki-vagrant
https://m.mediawiki.org/wiki/MediaWiki-Vagrant

Yes, getting the same error
Will try vagrant next
Thanks 😊

In T249422#6042099, @AlQaholic007 wrote:

This is strange. I think Docker toolbox behind the scenes runs a VM. @Ashuro07 why dont you try creating your own with VirtualBox and then install Mediawiki there? I think @Gaura87 solution also recommends that. However if youre planning to do this long time, I would suggest thinking about dual booting your system. I guess @Vidhi-Mody did the same so maybe ask her more about it.

Thanks will try that if vagrant fails

Ashuro07 closed this task as Resolved.Apr 11 2020, 12:04 PM